Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

Grouped actionable notifications for the current org

GET
/api/v1/notifications
curl --request GET \
--url 'https://api.yggy.tech/api/v1/notifications?include=recent' \
--header 'Authorization: Bearer <token>'
include
string
Allowed values: recent
host
string | null
x-yggy-organization-id
string | null

Notifications feed

Media type application/json
object
actionable
required
object
workflows
required
Array<object>
object
id
required
string
group
required
string
Allowed values: workflows requests
title
required
string
status
required
string
summary
required
string
updatedAt
required
string
documentId
string
projectExternalId
string
step
string | null
progress
number
dismissable
boolean
requests
required
Array<object>
object
id
required
string
group
required
string
Allowed values: workflows requests
title
required
string
status
required
string
summary
required
string
updatedAt
required
string
documentId
string
projectExternalId
string
step
string | null
progress
number
dismissable
boolean
recent
required
Array<object>
object
id
required
string
group
required
string
Allowed values: workflows requests
title
required
string
status
required
string
summary
required
string
updatedAt
required
string
documentId
string
projectExternalId
string
step
string | null
progress
number
dismissable
boolean
counts
required
object
actionable
required
number
workflows
required
number
requests
required
number
Example
{
"actionable": {
"workflows": [
{
"group": "workflows"
}
],
"requests": [
{
"group": "workflows"
}
]
},
"recent": [
{
"group": "workflows"
}
]
}